package org.springblade.common.cache;

import org.springblade.core.cache.utils.CacheUtil;

import java.util.List;

/**
 * @author July
 * @version 1.0.0
 * @ClassName QrCodeCache.java
 * @Description 推广二维码缓存
 * @createTime 2021年10月12日 16:33:00
 */
public class QrCodeCache {

	private static final String QRCODE = "extendQrCode:userId:";

	/**
	 * 获取二维码
	 */
	public static String getQrcode(Long userId) {
		return CacheUtil.get(CacheNames.QRCODE, QRCODE, userId, String.class,false);
	}

	/**
	 * 缓存二维码
	 */
	public static void putQrcode(Long userId, String qrcode) {
		CacheUtil.put(CacheNames.QRCODE, QRCODE, userId, qrcode,false);
	}

}
